export declare class SimpleObjectProxy<T extends object> {
    constructor(target: T, handler: {
        get(target: T, p: PropertyKey, receiver: any): any;
        set(target: T, p: PropertyKey, value: any, receiver: any): boolean;
    });
}
